#include "Logo.h"

Logo::Logo(QMovie m, QWidget* p, const char* name) : QFrame(p, name)
{
  movie = m;
  setFrameStyle(QFrame::WinPanel|QFrame::Sunken);
  movie.setBackgroundColor(backgroundColor());
  setBackgroundMode(NoBackground);
  movie.connectUpdate(this, SLOT(movieUpdated(const QRect&)));
}

void Logo::drawContents(QPainter* p)
{
  QPixmap pm = movie.framePixmap();
  QRect r = contentsRect();
  QWMatrix m;
  m.scale((double)r.width()/pm.width(),(double)r.height()/pm.height());
  pm = pm.xForm(m); 
  p->drawPixmap(r.x(), r.y(), pm);
}

void Logo::movieUpdated(const QRect& area)
{
  if (!isVisible())
    show();
  QRect r = contentsRect();
  repaint(r);
}

